/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreAnnotationMaelstrom;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreAnnotationMaelstromRecord extends TableRecordImpl<VCoreAnnotationMaelstromRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for
     * <code>common_dd.v_core_annotation_maelstrom.unique_name</code>.
     */
    public void setUniqueName(String value) {
        set(0, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_core_annotation_maelstrom.unique_name</code>.
     */
    public String getUniqueName() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_annotation_maelstrom.fk_element</code>.
     */
    public void setFkElement(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_annotation_maelstrom.fk_element</code>.
     */
    public Integer getFkElement() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_annotation_maelstrom.taxonomy</code>.
     */
    public void setTaxonomy(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_annotation_maelstrom.taxonomy</code>.
     */
    public String getTaxonomy() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_annotation_maelstrom.vocabulary</code>.
     */
    public void setVocabulary(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_annotation_maelstrom.vocabulary</code>.
     */
    public String getVocabulary() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_annotation_maelstrom.term</code>.
     */
    public void setTerm(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_annotation_maelstrom.term</code>.
     */
    public String getTerm() {
        return (String) get(4);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreAnnotationMaelstromRecord
     */
    public VCoreAnnotationMaelstromRecord() {
        super(VCoreAnnotationMaelstrom.V_CORE_ANNOTATION_MAELSTROM);
    }

    /**
     * Create a detached, initialised VCoreAnnotationMaelstromRecord
     */
    public VCoreAnnotationMaelstromRecord(String uniqueName, Integer fkElement, String taxonomy, String vocabulary, String term) {
        super(VCoreAnnotationMaelstrom.V_CORE_ANNOTATION_MAELSTROM);

        setUniqueName(uniqueName);
        setFkElement(fkElement);
        setTaxonomy(taxonomy);
        setVocabulary(vocabulary);
        setTerm(term);
        resetChangedOnNotNull();
    }
}
